package com.bonus.sgzb.app.service.impl;

import com.bonus.sgzb.app.mapper.BmFlowRecordMapper;
import com.bonus.sgzb.app.service.BmFlowRecordService;
import com.bonus.sgzb.base.api.domain.BmFlowRecord;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
/**
* Description:
* @Author 阮世耀
* @Create 2024/3/16 12:59
* @Version 1.0
*/

@Service
public class BmFlowRecordServiceImpl implements BmFlowRecordService{

    @Autowired
    private BmFlowRecordMapper bmFlowRecordMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return bmFlowRecordMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(BmFlowRecord record) {
        return bmFlowRecordMapper.insert(record);
    }

    @Override
    public int insertOrUpdate(BmFlowRecord record) {
        return bmFlowRecordMapper.insertOrUpdate(record);
    }

    @Override
    public int insertOrUpdateSelective(BmFlowRecord record) {
        return bmFlowRecordMapper.insertOrUpdateSelective(record);
    }

    @Override
    public int insertSelective(BmFlowRecord record) {
        return bmFlowRecordMapper.insertSelective(record);
    }

    @Override
    public BmFlowRecord selectByPrimaryKey(Integer id) {
        return bmFlowRecordMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(BmFlowRecord record) {
        return bmFlowRecordMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(BmFlowRecord record) {
        return bmFlowRecordMapper.updateByPrimaryKey(record);
    }

    @Override
    public int updateBatch(List<BmFlowRecord> list) {
        return bmFlowRecordMapper.updateBatch(list);
    }

    @Override
    public int updateBatchSelective(List<BmFlowRecord> list) {
        return bmFlowRecordMapper.updateBatchSelective(list);
    }

    @Override
    public int batchInsert(List<BmFlowRecord> list) {
        return bmFlowRecordMapper.batchInsert(list);
    }

}
